import { fileURLToPath, URL } from 'node:url'

import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import vueDevTools from 'vite-plugin-vue-devtools'

// https://vite.dev/config/
export default defineConfig({
  base: './',
  plugins: [
    vue(),
    vueDevTools(),
  ],
  resolve: {
    alias: {
      '@': fileURLToPath(new URL('./src', import.meta.url))
    },
  },
  server: {
    open: false,
    proxy: {
        "/api/v1": {
            // target: "http://10.1.5.188:8011/",
            target: "http://127.0.0.1:8012",
            changeOrigin: true,
            rewrite: path => path.replace(/^\/api\/v1/, ''),
        },
    },
},
})
